
ifeq ($(CONFIG_LINUX_2_6_AMCC),y)
  define Target
    KERNEL:=2.6
    BOARD:=amcc
    BOARDNAME:=AMCC Taishan [2.6]
    LINUX_VERSION:=2.6.21.5
    LINUX_RELEASE:=1
    LINUX_KARCH:=ppc
    DEFAULT_PACKAGES:=base-files libgcc uclibc bridge busybox dnsmasq dropbear iptables mtd ppp ppp-mod-pppoe mtd kmod-ipt-nathelper udevtrigger hotplug2
  endef
  define Profile/2_6_AMCC_Default
    ID:=Default
    NAME:=Default
    PACKAGES:=base-files bridge busybox dnsmasq dropbear hotplug2 iptables kmod-ipt-nathelper libgcc mtd ppp ppp-mod-pppoe uclibc udevtrigger
  endef
endif
$(eval $(call AddProfile,2_6_AMCC_Default))


ifeq ($(CONFIG_LINUX_2_6_ATHEROS),y)
  define Target
    KERNEL:=2.6
    BOARD:=atheros
    BOARDNAME:=Atheros [2.6]
    LINUX_VERSION:=2.6.21.5
    LINUX_RELEASE:=1
    LINUX_KARCH:=mips
    DEFAULT_PACKAGES:=base-files libgcc uclibc bridge busybox dnsmasq dropbear iptables mtd ppp ppp-mod-pppoe mtd kmod-ipt-nathelper udevtrigger hotplug2 kmod-madwifi
  endef
  define Profile/2_6_ATHEROS_Default
    ID:=Default
    NAME:=Default
    PACKAGES:=base-files bridge busybox dnsmasq dropbear hotplug2 iptables kmod-ipt-nathelper kmod-madwifi libgcc mtd ppp ppp-mod-pppoe uclibc udevtrigger
  endef
endif
$(eval $(call AddProfile,2_6_ATHEROS_Default))


ifeq ($(CONFIG_LINUX_2_6_AU1000),y)
  define Target
    KERNEL:=2.6
    BOARD:=au1000
    BOARDNAME:=AMD Alchemy AU1x00 [2.6]
    LINUX_VERSION:=2.6.22
    LINUX_RELEASE:=1
    LINUX_KARCH:=mips
    DEFAULT_PACKAGES:=base-files libgcc uclibc bridge busybox dnsmasq dropbear iptables mtd ppp ppp-mod-pppoe mtd kmod-ipt-nathelper udevtrigger hotplug2 yamonenv
  endef
  define Profile/2_6_AU1000_Atheros
    ID:=Atheros
    NAME:=Atheros WiFi (default)
    PACKAGES:=base-files bridge busybox dnsmasq dropbear hotplug2 iptables kmod-ipt-nathelper kmod-madwifi libgcc mtd ppp ppp-mod-pppoe uclibc udevtrigger yamonenv
  endef
  define Profile/2_6_AU1000_Broadcom
    ID:=Broadcom
    NAME:=Broadcom BCM43xx WiFi
    PACKAGES:=base-files bridge busybox dnsmasq dropbear hotplug2 iptables kmod-ipt-nathelper kmod-net-bcm43xx libgcc mtd ppp ppp-mod-pppoe uclibc udevtrigger yamonenv
  endef
  define Profile/2_6_AU1000_Intel
    ID:=Intel
    NAME:=Intel IPW2200 WiFi
    PACKAGES:=base-files bridge busybox dnsmasq dropbear hotplug2 iptables kmod-ipt-nathelper kmod-net-ipw2200 libgcc mtd ppp ppp-mod-pppoe uclibc udevtrigger yamonenv
  endef
endif
$(eval $(call AddProfile,2_6_AU1000_Atheros))
$(eval $(call AddProfile,2_6_AU1000_Broadcom))
$(eval $(call AddProfile,2_6_AU1000_Intel))


ifeq ($(CONFIG_LINUX_2_6_AVR32),y)
  define Target
    KERNEL:=2.6
    BOARD:=avr32
    BOARDNAME:=Atmel AVR32 [2.6]
    LINUX_VERSION:=2.6.22.1
    LINUX_RELEASE:=1
    LINUX_KARCH:=avr32
    DEFAULT_PACKAGES:=base-files libgcc uclibc bridge busybox dnsmasq dropbear iptables mtd ppp ppp-mod-pppoe mtd kmod-ipt-nathelper udevtrigger hotplug2
  endef
  define Profile/2_6_AVR32_Default
    ID:=Default
    NAME:=Default
    PACKAGES:=base-files bridge busybox dnsmasq dropbear hotplug2 iptables kmod-ipt-nathelper libgcc mtd ppp ppp-mod-pppoe uclibc udevtrigger
  endef
endif
$(eval $(call AddProfile,2_6_AVR32_Default))


ifeq ($(CONFIG_LINUX_2_4_BRCM),y)
  define Target
    KERNEL:=2.4
    BOARD:=brcm
    BOARDNAME:=Broadcom BCM947xx/953xx [2.4]
    LINUX_VERSION:=2.4.34
    LINUX_RELEASE:=1
    LINUX_KARCH:=mips
    DEFAULT_PACKAGES:=base-files libgcc uclibc bridge busybox dnsmasq dropbear iptables mtd ppp ppp-mod-pppoe mtd kmod-ipt-nathelper kmod-switch kmod-diag nvram
  endef
  define Profile/2_4_BRCM_Broadcom
    ID:=Broadcom
    NAME:=Generic, Broadcom WiFi (default)
    PACKAGES:=base-files bridge busybox dnsmasq dropbear iptables kmod-brcm-wl kmod-diag kmod-ipt-nathelper kmod-switch kmod-wlcompat libgcc mtd nas nvram ppp ppp-mod-pppoe uclibc wlc
  endef
  define Profile/2_4_BRCM_BroadcomMimo
    ID:=BroadcomMimo
    NAME:=Generic, Broadcom WiFi (MIMO)
    PACKAGES:=base-files bridge busybox dnsmasq dropbear iptables kmod-brcm-wl-mimo kmod-diag kmod-ipt-nathelper kmod-switch kmod-wlcompat libgcc mtd nas nvram ppp ppp-mod-pppoe uclibc wlc
  endef
  define Profile/2_4_BRCM_Atheros
    ID:=Atheros
    NAME:=Generic, Atheros WiFi
    PACKAGES:=base-files bridge busybox dnsmasq dropbear iptables kmod-diag kmod-ipt-nathelper kmod-madwifi kmod-switch libgcc mtd nvram ppp ppp-mod-pppoe uclibc
  endef
  define Profile/2_4_BRCM_None
    ID:=None
    NAME:=Generic, No WiFi
    PACKAGES:=base-files bridge busybox dnsmasq dropbear iptables kmod-diag kmod-ipt-nathelper kmod-switch libgcc mtd nvram ppp ppp-mod-pppoe uclibc
  endef
  define Profile/2_4_BRCM_WL500G
    ID:=WL500G
    NAME:=ASUS WL-500g
    PACKAGES:=base-files bridge busybox dnsmasq dropbear iptables kmod-brcm-wl kmod-diag kmod-ipt-nathelper kmod-lp kmod-switch kmod-usb-core kmod-usb-ohci kmod-wlcompat libgcc mtd nas nvram ppp ppp-mod-pppoe uclibc wlc
  endef
  define Profile/2_4_BRCM_WL500GD
    ID:=WL500GD
    NAME:=ASUS WL-500g Deluxe
    PACKAGES:=base-files bridge busybox dnsmasq dropbear iptables kmod-brcm-wl kmod-diag kmod-ipt-nathelper kmod-switch kmod-usb-core kmod-usb-uhci kmod-usb2 kmod-wlcompat libgcc mtd nas nvram ppp ppp-mod-pppoe uclibc wlc
  endef
  define Profile/2_4_BRCM_WL500GP
    ID:=WL500GP
    NAME:=ASUS WL-500g Premium
    PACKAGES:=base-files bridge busybox dnsmasq dropbear iptables kmod-brcm-wl kmod-diag kmod-ipt-nathelper kmod-switch kmod-usb-core kmod-usb-uhci kmod-usb2 kmod-wlcompat libgcc mtd nas nvram ppp ppp-mod-pppoe uclibc wlc
  endef
  define Profile/2_4_BRCM_WL700GE
    ID:=WL700GE
    NAME:=WL-700gE
    PACKAGES:=base-files busybox dropbear e2fsprogs fdisk kmod-diag kmod-fs-ext3 kmod-ide-aec62xx kmod-ide-core kmod-switch libgcc mtd nvram uclibc
  endef
  define Profile/2_4_BRCM_WLHDD
    ID:=WLHDD
    NAME:=WL-HDD
    PACKAGES:=base-files bridge busybox dnsmasq dropbear iptables kmod-brcm-wl kmod-diag kmod-ide-core kmod-ide-pdc202xx kmod-ipt-nathelper kmod-switch kmod-usb-core kmod-usb-ohci kmod-wlcompat libgcc mtd nas nvram ppp ppp-mod-pppoe uclibc wlc
  endef
  define Profile/2_4_BRCM_WRT54G3G
    ID:=WRT54G3G
    NAME:=Linksys WRT54G3G
    PACKAGES:=base-files bridge busybox comgt dnsmasq dropbear iptables kmod-brcm-wl kmod-diag kmod-ipt-nathelper kmod-nozomi kmod-pcmcia-core kmod-pcmcia-serial kmod-switch kmod-usb-core kmod-usb-ohci kmod-usb2 kmod-wlcompat libgcc mtd nas nvram ppp ppp-mod-pppoe uclibc wlc
  endef
endif
$(eval $(call AddProfile,2_4_BRCM_Broadcom))
$(eval $(call AddProfile,2_4_BRCM_BroadcomMimo))
$(eval $(call AddProfile,2_4_BRCM_Atheros))
$(eval $(call AddProfile,2_4_BRCM_None))
$(eval $(call AddProfile,2_4_BRCM_WL500G))
$(eval $(call AddProfile,2_4_BRCM_WL500GD))
$(eval $(call AddProfile,2_4_BRCM_WL500GP))
$(eval $(call AddProfile,2_4_BRCM_WL700GE))
$(eval $(call AddProfile,2_4_BRCM_WLHDD))
$(eval $(call AddProfile,2_4_BRCM_WRT54G3G))


ifeq ($(CONFIG_LINUX_2_6_BRCM47XX),y)
  define Target
    KERNEL:=2.6
    BOARD:=brcm47xx
    BOARDNAME:=Broadcom BCM947xx/953xx [2.6]
    LINUX_VERSION:=2.6.22
    LINUX_RELEASE:=1
    LINUX_KARCH:=mips
    DEFAULT_PACKAGES:=base-files libgcc uclibc bridge busybox dnsmasq dropbear iptables mtd ppp ppp-mod-pppoe mtd kmod-ipt-nathelper udevtrigger hotplug2 kmod-switch kmod-diag
  endef
  define Profile/2_6_BRCM47XX_Atheros
    ID:=Atheros
    NAME:=Atheros WiFi (default)
    PACKAGES:=base-files bridge busybox dnsmasq dropbear hotplug2 iptables kmod-diag kmod-ipt-nathelper kmod-madwifi kmod-switch libgcc mtd ppp ppp-mod-pppoe uclibc udevtrigger
  endef
  define Profile/2_6_BRCM47XX_None
    ID:=None
    NAME:=No WiFi
    PACKAGES:=base-files bridge busybox dnsmasq dropbear hotplug2 iptables kmod-diag kmod-ipt-nathelper kmod-switch libgcc mtd ppp ppp-mod-pppoe uclibc udevtrigger
  endef
  define Profile/2_6_BRCM47XX_WGT634U
    ID:=WGT634U
    NAME:=Netgear WGT634U
    PACKAGES:=base-files bridge busybox dnsmasq dropbear hotplug2 iptables kmod-diag kmod-ipt-nathelper kmod-madwifi kmod-switch kmod-usb-core kmod-usb-ohci kmod-usb2 libgcc mtd ppp ppp-mod-pppoe uclibc udevtrigger
  endef
  define Profile/2_6_BRCM47XX_WRTSL54GS
    ID:=WRTSL54GS
    NAME:=Linksys WRTSL54GS
    PACKAGES:=base-files bridge busybox dnsmasq dropbear e2fsprogs hotplug2 iptables kmod-diag kmod-fs-ext3 kmod-ipt-nathelper kmod-scsi-core kmod-switch kmod-usb-core kmod-usb-ohci kmod-usb-storage kmod-usb2 libgcc mtd ppp ppp-mod-pppoe uclibc udevtrigger
  endef
endif
$(eval $(call AddProfile,2_6_BRCM47XX_Atheros))
$(eval $(call AddProfile,2_6_BRCM47XX_None))
$(eval $(call AddProfile,2_6_BRCM47XX_WGT634U))
$(eval $(call AddProfile,2_6_BRCM47XX_WRTSL54GS))


ifeq ($(CONFIG_LINUX_2_6_IXP4XX),y)
  define Target
    KERNEL:=2.6
    BOARD:=ixp4xx
    BOARDNAME:=Intel XScale IXP4xx [2.6]
    LINUX_VERSION:=2.6.21.6
    LINUX_RELEASE:=1
    LINUX_KARCH:=arm
    DEFAULT_PACKAGES:=base-files libgcc uclibc bridge busybox dnsmasq dropbear iptables mtd ppp ppp-mod-pppoe mtd kmod-ipt-nathelper udevtrigger hotplug2
  endef
  define Profile/2_6_IXP4XX_Default
    ID:=Default
    NAME:=Default Profile
    PACKAGES:=base-files bridge busybox dnsmasq dropbear hotplug2 iptables kmod-ipt-nathelper kmod-madwifi libgcc mtd ppp ppp-mod-pppoe uclibc udevtrigger
  endef
  define Profile/2_6_IXP4XX_NSLU2
    ID:=NSLU2
    NAME:=Linksys NSLU2
    PACKAGES:=base-files bridge busybox dnsmasq dropbear hotplug2 iptables kmod-fs-ext2 kmod-fs-ext3 kmod-ipt-nathelper kmod-ixp4xx-npe kmod-scsi-core kmod-usb-core kmod-usb-ohci kmod-usb-storage kmod-usb2 libgcc mtd ppp ppp-mod-pppoe uclibc udevtrigger
  endef
  define Profile/2_6_IXP4XX_NAS100d
    ID:=NAS100d
    NAME:=Iomega NAS 100d
    PACKAGES:=base-files bridge busybox dnsmasq dropbear hotplug2 iptables kmod-fs-ext2 kmod-fs-ext3 kmod-ipt-nathelper kmod-ixp4xx-npe kmod-libata kmod-madwifi kmod-pata-artop kmod-scsi-core kmod-usb-core kmod-usb-storage kmod-usb2 libgcc mtd ppp ppp-mod-pppoe uclibc udevtrigger wireless-tools
  endef
  define Profile/2_6_IXP4XX_DSMG600RevA
    ID:=DSMG600RevA
    NAME:=DSM-G600 Rev A
    PACKAGES:=base-files bridge busybox dnsmasq dropbear hotplug2 iptables kmod-fs-ext2 kmod-fs-ext3 kmod-ipt-nathelper kmod-libata kmod-madwifi kmod-pata-artop kmod-scsi-core kmod-usb-core kmod-usb-storage kmod-usb-uhci kmod-usb2 kmod-via-velocity libgcc mtd ppp ppp-mod-pppoe uclibc udevtrigger wireless-tools
  endef
endif
$(eval $(call AddProfile,2_6_IXP4XX_Default))
$(eval $(call AddProfile,2_6_IXP4XX_NSLU2))
$(eval $(call AddProfile,2_6_IXP4XX_NAS100d))
$(eval $(call AddProfile,2_6_IXP4XX_DSMG600RevA))


ifeq ($(CONFIG_LINUX_2_6_MAGICBOX),y)
  define Target
    KERNEL:=2.6
    BOARD:=magicbox
    BOARDNAME:=Magicbox [2.6]
    LINUX_VERSION:=2.6.22
    LINUX_RELEASE:=1
    LINUX_KARCH:=ppc
    DEFAULT_PACKAGES:=base-files libgcc uclibc bridge busybox dnsmasq dropbear iptables mtd ppp ppp-mod-pppoe mtd kmod-ipt-nathelper udevtrigger hotplug2
  endef
  define Profile/2_6_MAGICBOX_Default
    ID:=Default
    NAME:=Default
    PACKAGES:=base-files bridge busybox dnsmasq dropbear hotplug2 iptables kmod-ipt-nathelper libgcc mtd ppp ppp-mod-pppoe uclibc udevtrigger
  endef
endif
$(eval $(call AddProfile,2_6_MAGICBOX_Default))


ifeq ($(CONFIG_LINUX_2_6_RB532),y)
  define Target
    KERNEL:=2.6
    BOARD:=rb532
    BOARDNAME:=Mikrotik RouterBoard 532 [2.6]
    LINUX_VERSION:=2.6.21.5
    LINUX_RELEASE:=1
    LINUX_KARCH:=mips
    DEFAULT_PACKAGES:=base-files libgcc uclibc bridge busybox dnsmasq dropbear iptables mtd ppp ppp-mod-pppoe mtd kmod-ipt-nathelper udevtrigger hotplug2
  endef
  define Profile/2_6_RB532_Default
    ID:=Default
    NAME:=Default
    PACKAGES:=base-files bridge busybox dnsmasq dropbear hotplug2 iptables kmod-ipt-nathelper libgcc mtd ppp ppp-mod-pppoe uclibc udevtrigger
  endef
endif
$(eval $(call AddProfile,2_6_RB532_Default))


ifeq ($(CONFIG_LINUX_2_6_X86),y)
  define Target
    KERNEL:=2.6
    BOARD:=x86
    BOARDNAME:=x86 [2.6]
    LINUX_VERSION:=2.6.22
    LINUX_RELEASE:=1
    LINUX_KARCH:=i386
    DEFAULT_PACKAGES:=base-files libgcc uclibc bridge busybox dnsmasq dropbear iptables mtd ppp ppp-mod-pppoe mtd kmod-ipt-nathelper udevtrigger hotplug2 kmod-natsemi kmod-ne2k-pci
  endef
  define Profile/2_6_X86_Generic
    ID:=Generic
    NAME:=Generic
    PACKAGES:=base-files bridge busybox dnsmasq dropbear hotplug2 iptables kmod-ipt-nathelper kmod-natsemi kmod-ne2k-pci libgcc mtd ppp ppp-mod-pppoe uclibc udevtrigger
  endef
  define Profile/2_6_X86_Soekris
    ID:=Soekris
    NAME:=Soekris Net4801
    PACKAGES:=base-files bridge busybox dnsmasq dropbear hotplug2 iptables kmod-hwmon-pc87360 kmod-i2c-scx200 kmod-ipt-nathelper kmod-leds-net48xx kmod-natsemi kmod-ne2k-pci kmod-scx200-gpio kmod-scx200-wdt libgcc mtd ppp ppp-mod-pppoe uclibc udevtrigger
  endef
endif
$(eval $(call AddProfile,2_6_X86_Generic))
$(eval $(call AddProfile,2_6_X86_Soekris))

$(eval $(call Target))
